Activate Firebase without Cocoapods in Xcode 8

I need to convert a project based on Xcode 7 to Xcode 8. In the project I use Firebase 2 (2.5.1) with CocoaPods. But the problem is that CocoaPods is not compatible to Xcode 8 and iOS10.
So I should do it manually without CocoaPods.

Deintegrate Cococapods from a project

First of all , I need to clearly deintegrate Cocoapods from my project.
I found this. And I can clearly remove Cocoapods from my project.

FireBase integration

The problem that I faced is a overwhelming Link errors below.

Firebase Link Errors

I need to add several libraries to use Firebase in Xcode 8 and iOS10.

  • SystemConfiguration.framework
  • libc++.tbd
  • libsqlite3.tbd
  • libicucore.dylib

Leave a Reply